<template>
  <div class="echarts-wrapper">
    <div class="echarts-content" ref="monomerVoltage">

    </div>
  </div>
</template>

<script>
import * as echarts from 'echarts';

export default {
  name: "monomerVoltage",
  chart: "",
  props: {
    id: {
      require: true,
      type: String,
      default: "",
    },
    name: {
      type: String,
      default: ""
    },
    top: {
      type: Number,
      default: 15,
    },
    bottom: {
      type: Number,
      default: 60
    },
    space: {
      type: Number,
      default: 4
    },
  },
  data() {
    return {

    }
  },
  methods: {
    setOption(opt) {
      this.$options.monomerVoltage.setOption(opt);
    },
    setData() {
        let option = {
                // title: {
                //     text: '世界人口总量',
                //     subtext: '数据来自网络'
                // },
                tooltip: {
                    trigger: 'axis',
                    axisPointer: {
                        type: 'shadow'
                    }
                },
                legend: {
                    right:"4%",
                    data: ['单体电压', '单体内阻','单体温度'],
                    itemStyle:{
                        right:"0"
                    }
                },
                grid: {
                    left: '3%',
                    right: '4%',
                    bottom: '3%',
                    containLabel: true
                },
                xAxis: {
                    type: 'value',
                    boundaryGap: [0, 0.01]
                },
                yAxis: {
                    type: 'category',
                    data: ['高告警数量', '低告警数量', '告警总数', '告警总数比例', '告警机房总数', '告警机房总数比例']
                },
                series: [
                    {
                        name: '单体电压',
                        type: 'bar',
                        data: [24, 18, 38, 31, 24, 13],
                        itemStyle:{
                            color:'#FED601'
                        }
                    },
                    {
                        name: '单体内阻',
                        type: 'bar',
                        data: [19, 28, 46, 24, 14, 9],
                        itemStyle:{
                            color:'#67E0E3'
                        }
                    },
                    {
                        name: '单体温度',
                        type: 'bar',
                        data: [15, 22, 36, 15, 21, 8],
                        itemStyle:{
                            color:'#EB6F49'
                        }
                    }
                ]
            };
            this.setOption(option);
    },
    resize() {
      this.$options.monomerVoltage.resize();
    }
  },
  mounted() {
    // 基于准备好的dom，初始化echarts实例
    this.$options.monomerVoltage = echarts.init(this.$refs.monomerVoltage);

    window.addEventListener('resize', this.resize);
  },
  destroyed() {
    window.removeEventListener('resize', this.resize);
  }
}
</script>

<style scoped>

</style>